| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_RNDIS_Device_t Struct Reference
RNDIS Class Device Mode Driver

## Detailed Description

RNDIS Class Device Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made for each RNDIS interface within the user application, and passed to each of the RNDIS class driver functions as the `RNDISInterfaceInfo` parameter. This stores each RNDIS interface's configuration and state information.

Definition at line 72 of file RNDISClassDevice.h.

`#include "RNDISClassDevice.h"`

## Data Fields
struct {
uint8_t ControlInterfaceNumber
uint8_t DataINEndpointNumber
uint16_t DataINEndpointSize
bool DataINEndpointDoubleBank
uint8_t DataOUTEndpointNumber
uint16_t DataOUTEndpointSize
bool DataOUTEndpointDoubleBank
uint8_t NotificationEndpointNumber
uint16_t NotificationEndpointSize
bool NotificationEndpointDoubleBank
char * AdapterVendorDescription
MAC_Address_t AdapterMACAddress
uint8_t PortNumber
} | Config
struct {
uint8_t RNDISMessageBuffer [RNDIS_MESSAGE_BUFFER_SIZE]
bool ResponseReady
uint8_t CurrRNDISState
uint32_t CurrPacketFilter
} | State

## Field Documentation

MAC_Address_t AdapterMACAddress

MAC address of the adapter.

Definition at line 89 of file RNDISClassDevice.h.

char* AdapterVendorDescription

String description of the adapter vendor.

Definition at line 88 of file RNDISClassDevice.h.

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

uint8_t ControlInterfaceNumber

Interface number of the RNDIS control interface within the device.

Definition at line 74 of file RNDISClassDevice.h.

uint32_t CurrPacketFilter

Current packet filter mode, used internally by the class driver.

Definition at line 101 of file RNDISClassDevice.h.

uint8_t CurrRNDISState

Current RNDIS state of the adapter, a value from the RNDIS_States_t enum.

Definition at line 100 of file RNDISClassDevice.h.

bool DataINEndpointDoubleBank

Indicates if the RNDIS interface's IN data endpoint should use double banking.

Definition at line 78 of file RNDISClassDevice.h.

uint8_t DataINEndpointNumber

Endpoint number of the RNDIS interface's IN data endpoint.

Definition at line 76 of file RNDISClassDevice.h.

uint16_t DataINEndpointSize

Size in bytes of the RNDIS interface's IN data endpoint.

Definition at line 77 of file RNDISClassDevice.h.

bool DataOUTEndpointDoubleBank

Indicates if the RNDIS interface's OUT data endpoint should use double banking.

Definition at line 82 of file RNDISClassDevice.h.

uint8_t DataOUTEndpointNumber

Endpoint number of the RNDIS interface's OUT data endpoint.

Definition at line 80 of file RNDISClassDevice.h.

uint16_t DataOUTEndpointSize

Size in bytes of the RNDIS interface's OUT data endpoint.

Definition at line 81 of file RNDISClassDevice.h.

bool NotificationEndpointDoubleBank

Indicates if the RNDIS interface's notification endpoint should use double banking.

Definition at line 86 of file RNDISClassDevice.h.

uint8_t NotificationEndpointNumber

Endpoint number of the RNDIS interface's IN notification endpoint, if used.

Definition at line 84 of file RNDISClassDevice.h.

uint16_t NotificationEndpointSize

Size in bytes of the RNDIS interface's IN notification endpoint, if used.

Definition at line 85 of file RNDISClassDevice.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 90 of file RNDISClassDevice.h.

bool ResponseReady

Internal flag indicating if a RNDIS message is waiting to be returned to the host.

Definition at line 99 of file RNDISClassDevice.h.

uint8_t RNDISMessageBuffer[RNDIS_MESSAGE_BUFFER_SIZE]

Buffer to hold RNDIS messages to and from the host, managed by the class driver.

Definition at line 96 of file RNDISClassDevice.h.

struct { ... } State

State data for the USB class interface within the device. All elements in this section are reset to their defaults when the interface is enumerated.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Device/RNDISClassDevice.h